# Session and other pages

Session pages are found under the module sessionModule which can be located in `src/app/session` folder. There is no[ root component / Layout](/angular/untitled.md) assigned from these components. Each page / session page [layout](/angular/untitled.md) is [assigned](/angular/untitled.md) from the router.&#x20;

{% tabs %}
{% tab title="Typescript" %}
{% code title="app.routing.ts" %}

```javascript
import { Routes } from '@angular/router';
//Layouts
import { 
  CondensedComponent,
  BlankComponent,
} from './@pages/layouts';

export const AppRoutes: Routes = [

  {
    path: '',
    //Your root layout
    component: BlankComponent,
    children: [{
      path: 'session',
      loadChildren: './session/session.module#SessionModule'
    }]
  }
];

```

{% endcode %}
{% endtab %}

{% tab title="Second Tab" %}

{% endtab %}
{% endtabs %}

In the sample router note that `BlankComponent` is imported from `@pages` - located in the folder @pages/layouts. And this import is used in the `component:BlankComponent` of the sample code above. Note that in BlankComponent we have only loaded styles relevantly needed for that module. You can see it in `@pages/layouts/blank/blank.component.scss` <br>

### Can we used the condensedLayout for sessionModules / Session Pages

Yes you can, make sure you have imported CondensedLayout from

`import { CondensedComponent} from './@pages/layouts';`

Then you need to make sure the styles are imported to your `@pages/layouts/condensed/condensed.component.scss`

**Styles that are required for Session Pages**

```css
//Login
@import "modules/login.scss";

//Lock screen
@import "modules/lock_screen.scss";

//Error
@import "modules/_error.scss";
```

*You can try this with any layout you like in @pages/layouts*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pages.revox.io/angular/session-and-other-pages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
